package com.lantone.qc.trans.beilun.util.ez;

import com.lantone.qc.trans.beilun.util.ez.util.EzXmlUtil;
import lombok.extern.slf4j.Slf4j;

import java.util.Map;

/**
 * @Description: 手术记录文档生成
 * @author: HUJING
 * @time: 2021/1/7 11:20
 */
@Slf4j
public class EzOperationRecordAnalysis implements EzAnalysis {

    @Override
    public Map<String, String> analysis(String xml) throws Exception {
        Map<String, String> map = EzXmlUtil.analysis(xml);
        if (map.containsKey("手术结束时间")) {
            map.put("手术结束时间", map.get("手术结束时间").split(" ")[0]);
        }
        return map;
    }
}